// JScript 文件
  var   overOptionCss   =   "background:   highlight;   color:   highlighttext";   
  var   sizedBorderCss   =   "2   inset   buttonhighlight";       
  var   globalSelect;  
  var   ie4   =   (document.all   !=   null);       
  var   q   =   0;
  var pics=0;
  function picsele(va)
  {
    pics=va;
  }
  function   initSelectBox(el)
  {
  copySelected(el);   
  var   size   =   el.getAttribute("size");   
  el.options   =   el.children[1].children;
  el.selectedIndex   =   findSelected(el); 
  el.remove   =   new   Function("i",   "int_remove(this,i)");   
  el.item       =   new   Function("i",   "return   this.options[i]");   
  el.add         =   new   Function("e",   "i",   "int_add(this,   e,   i)");    
  el.options[el.selectedIndex].selected   =   true;
  //-------------------------------------------------------------------------------
  var ddl=document.all.select2.options[select2.selectedIndex].value;
  document.getElementById("pic").value=ddl;
  //-------------------------------------------------------------------------------
  dropdown   =   el.children[1];  
  if   (size   !=   null)   {   
  if   (size   >   1)   {   
  el.size   =   size;   
  dropdown.style.zIndex   =   0;   
  initSized(el);   
  }   
  else   {   
  el.size   =   1;   
  dropdown.style.zIndex   =   99;   
  if   (dropdown.offsetHeight   >   200)   {   
  dropdown.style.height   =   "200";   
  dropdown.style.overflow   =   "auto";   
  }   
  }   
  }
  highlightSelected(el,true);   
  
  } 
  function   int_remove(el,i)   {   
  if   (el.options[i]   !=   null)   
  el.options[i].outerHTML   =   "";   
  }   
    
  function   int_add(el,   e,   i)   {   
  var   html   =   "<div   class='option'   noWrap";   
  if   (e.value   !=   null)   
  html   +=   "   value='"   +   e.value   +   "'";   
  if   (e.style.cssText   !=   null)   
  html   +=   "   style='"   +   e.style.cssText   +   "'";   
  html   +=   ">";
  if   (e.text   !=   null)   
  html   +=   e.text;   
  html   +=   "</div>"  
  if   ((i   ==   null)   ||   (i   >=   el.options.length))   
  i   =   el.options.length-1;   
  el.options[i].insertAdjacentHTML("AfterEnd",   html);   
  }   
    
  function   initSized(el)   {   
  //alert("initSized   -------->");   
  var   h   =   0;   
  el.children[0].style.display   =   "none";   
  dropdown   =   el.children[1];   
  dropdown.style.visibility   =   "visible";   
  if   (dropdown.children.length   >   el.size)   {   
  dropdown.style.overflow   =   "auto";   
  for   (var   i=0;   i<el.size;   i++)   {   
  h   +=   dropdown.children[i].offsetHeight;   
  }
  if   (dropdown.style.borderWidth   !=   null)   {   
  dropdown.style.pixelHeight   =   h   +   4;
  }  
  else   
  dropdown.style.height   =   h;   
  }
  dropdown.style.border   =   sizedBorderCss; 
  el.style.height   =   dropdown.style.pixelHeight;   
  }  
  function   copySelected(el)   {   
  var   selectedIndex   =   findSelected(el);   
  selectedCell   =   el.children[0].rows[0].cells[0];   
  selectedDiv     =   el.children[1].children[selectedIndex];
  selectedCell.innerHTML   =   selectedDiv.outerHTML;   
  }
  
  
  
  function   findSelected(el)   {   
  var   selected   =   null;
  ec   =   el.children[1].children; 
  var   ecl   =   ec.length;   
    
  for   (var   i=0;   i<ecl;   i++)   {   
  if   (ec[i].getAttribute("selected")   !=   null)   {   
  if   (selected   ==   null)   { 
  selected   =   i;
  }
  else   
  ec[i].removeAttribute("selected");  
  }   
  } 
  if   (selected   ==   null)   
  selected   =  pics;
  return   selected;   
  }
  
  
 
  function   toggleDropDown(el)   {   
  if   (el.size   ==   1)   {   
  dropDown   =   el.children[1];   
    
  if   (dropDown.style.visibility   ==   "")   
  dropDown.style.visibility   =   "hidden";   
    
  if   (dropDown.style.visibility   ==   "hidden")   
  showDropDown(dropDown);   
  else   
  hideDropDown(dropDown);   
  }   
  }
  function   optionClick()   {   

  el   =   getReal(window.event.srcElement,   "className",   "option");   
  
  if   (el.className   ==   "option")   {   
  dropdown     =   el.parentElement;   
  selectBox   =   dropdown.parentElement;   
    
  oldSelected   =   dropdown.children[findSelected(selectBox)]   
    
  if(oldSelected   !=   el)   {   
  oldSelected.removeAttribute("selected");   
  el.setAttribute("selected",   1);   
  selectBox.selectedIndex   =   findSelected(selectBox);   
  }   
    
  if   (selectBox.onchange   !=   null)   { 
  if   (selectBox.id   !=   "")   { 
  eval(selectBox.onchange.replace(/this/g,   selectBox.id));   
  }   
  else   {   
  globalSelect   =   selectBox;   
  eval(selectBox.onchange.replace(/this/g,   "globalSelect"));   
  }   
  } 
  if   (el.backupCss   !=   null)   
  el.style.cssText   =   el.backupCss;   
  copySelected(selectBox);   
  toggleDropDown(selectBox);   
  highlightSelected(selectBox,   true);   
  }   
  }
  function   optionOver()   {   
  var   toEl   =   getReal(window.event.toElement,   "className",   "option");   
  var   fromEl   =   getReal(window.event.fromElement,   "className",   "option");   
  if   (toEl   ==   fromEl)   return;   
  var   el   =   toEl;   
    
  if   (el.className   ==   "option")   {   
  if   (el.backupCss   ==   null)   
  el.backupCss   =   el.style.cssText;   
  highlightSelected(el.parentElement.parentElement,   false);   
  el.style.cssText   =   el.backupCss   +   ";   "   +   overOptionCss;   
  this.highlighted   =   true;   
  }   
  }
  function   optionOut()   {   
  var   toEl   =   getReal(window.event.toElement,   "className",   "option");   
  var   fromEl   =   getReal(window.event.fromElement,   "className",   "option");   
    
  if   (fromEl   ==   fromEl.parentElement.children[findSelected(fromEl.parentElement.parentElement)])   {   
  if   (toEl   ==   null)   
  return;   
  if   (toEl.className   !=   "option")   
  return;   
  } 
  if   (toEl   !=   null)   {   
  if   (toEl.className   !=   "option")   {   
  if   (fromEl.className   ==   "option")   
  highlightSelected(fromEl.parentElement.parentElement,   true);   
  }   
  }
  if   (toEl   ==   fromEl)   return;   
  var   el   =   fromEl;   
    
  if   (el.className   ==   "option")   {   
  if   (el.backupCss   !=   null)   
  el.style.cssText   =   el.backupCss;   
  }   
    
  }
  function   highlightSelected(el,add)   {   

  var   selectedIndex   =   findSelected(el);   
    
  selected   =   el.children[1].children[selectedIndex];   
    
  if   (add)   {   
  if   (selected.backupCss   ==   null)   
  selected.backupCss   =   selected.style.cssText;   
  selected.style.cssText   =   selected.backupCss   +   ";   "   +   overOptionCss;   
  }   
  else   if   (!add)   {   
  if   (selected.backupCss   !=   null)   
  selected.style.cssText   =   selected.backupCss;   
  }   
  }
  function   hideShownDropDowns()   {   
  var   el   =   getReal(window.event.srcElement,   "className",   "select");   
    
  var   spans   =   document.all.tags("SPAN");   
  var   selects   =   new   Array();   
  var   index   =   0;   
    
  for   (var   i=0;   i<spans.length;   i++)   {   
  if   ((spans[i].className   ==   "select")   &&   (spans[i]   !=   el))   {   
  dropdown   =   spans[i].children[1];   
  if   ((spans[i].size   ==   1)   &&   (dropdown.style.visibility   ==   "visible"))   
  selects[index++]   =   dropdown;   
  }   
  }
  for   (var   j=0;   j<selects.length;   j++)   {   
  hideDropDown(selects[j]);   
  }   
    
  }
  function   hideDropDown(el)   {  
  //-------------------------------------------------------------------- 
  var ddl=document.all.select2.options[select2.selectedIndex].value;
  document.getElementById("pic").value=ddl;
  //--------------------------------------------------------------------
  if   (typeof(fade)   ==   "function")   
  fade(el,   false);   
  else   
  el.style.visibility   =   "hidden";   
  }
  function   showDropDown(el)   {
  
  if   (typeof(fade)   ==   "function")   
  fade(el,   true);   
  else   if   (typeof(swipe)   ==   "function")   
  swipe(el,   2);   
  else   
  el.style.visibility   =   "visible";   
  }
  function   initSelectBoxes()   {   
  var   spans   =   document.all.tags("SPAN");   
  var   selects   =   new   Array();   
  var   index   =   0;   
    
  for   (var   i=0;   i<spans.length;   i++)   {   
  if   (spans[i].className   ==   "select")   
  selects[index++]   =   spans[i];   
  }   
    
  for   (var   j=0;   j<selects.length;   j++)   {   
  initSelectBox(selects[j]);   
  }   
  }   
    
  function   getReal(el,   type,   value)   {   
  
  temp   =   el;   
  while   ((temp   !=   null)   &&   (temp.tagName   !=   "BODY"))   {   
  if   (eval("temp."   +   type)   ==   value)   {   
  el   =   temp;   
  return   el;   
  }   
  temp   =   temp.parentElement;   
  }   
  return   el;   
  }   
    
  if   (ie4)   {   
  window.onload   =   initSelectBoxes;   
  document.onclick   =   hideShownDropDowns;   
  }   
     
  function   writeSelectBox(matrix,   id,   size,   onchange,   css)   {   
  
  var   d   =   window.document;    
  var   ie4   =   (document.all   !=   null);   
  if   (ie4)   {   
  // alert("Before!");   
  var   s   =   createIEString(matrix,   id,   size,   onchange,   css);   
  document.write(s);   
  // alert("After!");   
  // alert(s);   
  }  
  else   {   
  document.write(createXString(matrix,   id,   size,   onchange,   css));   
  }   
  }   
    
  function   createIEString(matrix,   id,   size,   onchange,   css)   {   
  var   str   =   "";   
  //   Span   startTag   
  str   +=   '<span   class="select"';   
  if   (size   ==   null)   
  size   =   1;   
  str   +=   '   size="'   +   size   +   '"';   
  if   (id   !=   null)   
  str   +=   '   id="'   +   id   +   '"';   
  if   (onchange   !=   null)   
  str   +=   '   onchange="'   +   onchange   +   '"';   
  if   (css   !=   null)   
  str   +=   '   style="'   +   css   +   '"';   
  str   +=   '>\n';   
    
  //   Table   Tag   
  str   +=   '<table   class="selectTable"   cellspacing="0"   cellpadding="0"\n';   
  str   +=   '   onclick="toggleDropDown(this.parentElement)">\n';   
  str   +=   '<tr>\n';   
  str   +=   '<td   class="selected">   </td>\n';   
  str   +=   '<td   align="CENTER"   valign="MIDDLE"   class="Button"\n';   
  str   +=   '   onmousedown="this.style.border=\'0   inset   buttonhighlight\'"\n';   
  str   +=   '   onmouseup="this.style.border=\'0   outset   buttonhighlight\'">\n';   
  str   +=   '<span><img   src="../../images/pic/titlepic.gif"    border=0   align="absmiddle"></span></td>\n';   
  str   +=   '</tr>\n';   
  str   +=   '</table>\n';   
    
  //   DropDown   startTag   
  str   +=   '<div   class="dropDown"   onclick="optionClick()"   onmouseover="optionOver()"   onmouseout="optionOut()">\n';   
    
  for   (var   i=0;   i<matrix.length;   i++)   {   
  html           =   matrix[i].html;   
  value         =   matrix[i].value;   
  css             =   matrix[i].css;   
  selected   =   matrix[i].selected;   
    
  //   Write   option   starttag   
  str   +=   '<div   class="option"';   
  if   (value   !=   null)   
  str   +=   '   value="'   +   value   +   '"';   
  if   (css   !=   null)   
  str   +=   '   style="'   +   css   +   '"';   
  if   (selected   !=   null)   
  str   +=   '   selected';   
  str   +=   '>\n';   
    
  //   Write   HTML   contents   
  str   +=   html;   
  //   Write   end   tag   
  str   +=   '</div>\n';   
  }   
    
  //DropDown   endtag   
  str   +=   '</div>\n';   
    
  //   Span   endTag   
  str   +=   '</span>\n';   
    
  return   str;
  
  }   
    
  function   createXString(matrix,   id,   size,   onchange,   css)   {   
  var   str   =   '<form>\n';   
  str   +=   '<select';   
  if   (size   ==   null)   
  size   =   1;   
  str   +=   '   size="'   +   size   +   '"';   
  if   (id   !=   null)   
  str   +=   '  id="'   +   id   +   '"';   
  if   (onchange   !=   null)   
  str   +=   '   onchange="'   +   onchange   +   '"';     
  str   +=   '>\n';   
  //   write   options   
  for   (var   i=0;   i<matrix.length;   i++)
  {   
  html           =   matrix[i].html;   
  value         =   matrix[i].value;   
  css             =   matrix[i].css;   
  selected   =   matrix[i].selected;     
  str   +=   '\n<option';   
  if   (value   !=   null)   
  str   +=   '   value="'   +   value   +   '"';     
  if   (selected   !=   null)   
  str   +=   '   selected';   
  str   +=   '>';   
  str   +=   stripTags(html);   
  //   Write   end   tag   
  str   +=   '</option>\n';   
  }   
  str   +=   '\n</select>\n';   
  str   +=   '</form>\n';   
   

  return   str; 
  }   

    
  function   stripTags(str)   
  {
  var   s   =   0;   
  var   e   =   -1;   
  var   r   =   "";   
    
  s   =   str.indexOf("<",e);   
    
  do {   
  r   +=   str.substring(e   +   1,s);   
  e   =   str.indexOf(">",s);   
  s   =   str.indexOf("<",e);   
  }   
  while   ((s   !=   -1)   &&   (e   !=   -1))   
    
  r   +=   str.substring(e   +   1,str.length);   
    
  return   r;   
  }
  function   Option(html,   value,   css,   selected)   {   
  this.html   =   html;   
  this.value   =   value;   
  this.css   =   css;   
  this.selected   =   selected;   
  }      
  topArray   =   new   Array();   
  topArray[0]   =   new   Option('<nobr   title="1"><img   src="../../images/pic/QQ/0.gif"    border=0   align="absmiddle"></nobr>',   "0");   
  topArray[1]   =   new   Option('<nobr   title="2"><img   src="../../images/pic/QQ/1.gif"   border=0   align="absmiddle"></nobr>',"1");   
  topArray[2]   =   new   Option('<nobr   title="3"><img   src="../../images/pic/QQ/2.gif"    border=0   align="absmiddle"></nobr>',"2");   
  topArray[3]   =   new   Option('<nobr   title="4"><img   src="../../images/pic/QQ/3.gif"  border=0   align="absmiddle"></nobr>',"3");
  topArray[4]   =   new   Option('<nobr   title="5"><img   src="../../images/pic/QQ/4.gif"  border=0   align="absmiddle"></nobr>',"4");    
  topArray[5]   =   new   Option('<nobr   title="6"><img   src="../../images/pic/QQ/5.gif"  border=0   align="absmiddle"></nobr>',"5");   
  topArray[6]   =   new   Option('<nobr   title="7"><img   src="../../images/pic/QQ/6.gif"  border=0   align="absmiddle"></nobr>',"6");
  topArray[7]   =   new   Option('<nobr   title="8"><img   src="../../images/pic/QQ/7.gif"  border=0   align="absmiddle"></nobr>',"7");
  topArray[8]   =   new   Option('<nobr   title="9"><img   src="../../images/pic/QQ/8.gif"  border=0   align="absmiddle"></nobr>',"8");
  topArray[9]   =   new   Option('<nobr   title="10"><img   src="../../images/pic/QQ/9.gif"  border=0   align="absmiddle"></nobr>',"9");
  topArray[10]   =   new   Option('<nobr   title="11"><img   src="../../images/pic/QQ/10.gif"  border=0   align="absmiddle"></nobr>',"10");
  topArray[11]   =   new   Option('<nobr   title="12"><img   src="../../images/pic/QQ/11.gif"  border=0   align="absmiddle"></nobr>',"11");
  topArray[12]   =   new   Option('<nobr   title="13"><img   src="../../images/pic/QQ/12.gif"  border=0   align="absmiddle"></nobr>',"12");
  writeSelectBox(topArray,   "select2",   1,   "",   "");   
  
  
